%define major 0
%define libname %mklibname %name %major
%define libdev %mklibname %name -d

Name:     csync
Summary:  The ownCloud Client
Version:  0.50.8
Release:  %mkrel 1
Group:    Sound 
License:  GPLv2+
URL:      http://owncloud.org/sync-clients/
Source0:  %name-%version.tar.bz2
BuildRequires: iniparser-devel >= 3.1
BuildRequires: cmake
Buildrequires: sqlite3-devel
Buildrequires: doxygen
Buildrequires: check-devel
Buildrequires: neon-devel
Buildrequires: libsmbclient-devel

%description
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%files 
%_bindir/csync
%_sysconfdir/%name
%_mandir/man1/%name.*
%_libdir/%name-0
%doc %_docdir/%name

#------------------------------------------------------------------------------

%package -n %libname
Summary:    The ownCloud Client
Group:      System/Libraries

%description -n %libname
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%files -n %libname
%_libdir/libcsync.so.%{major}*

#------------------------------------------------------------------------------

%package -n %libdev
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %version
Provides:   %{name}-devel = %version-%release

%description -n %libdev
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %libdev
%_libdir/libcsync.so
%_includedir/%name

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake -DLOG_TO_CALLBACK=ON
%make

%install
%makeinstall_std -C build


%changelog

* Sun Aug 12 2012 neoclust <neoclust> 0.50.8-1.mga3
+ Revision: 280801
- New version 0.50.8

* Wed Jul 25 2012 neoclust <neoclust> 0.50.7-2.mga3
+ Revision: 274342
- Add -DLOG_TO_CALLBACK=ON into cmake to add symbols, needed by owncloud-client

* Wed Jul 25 2012 neoclust <neoclust> 0.50.7-1.mga3
+ Revision: 274330
- imported package csync

